Adds information to the system about a new application
POST/qsystem/rest/config/applications
Adds information to the system about a new application. It also initiates a publish of the information to the agents. No error message will be returned if the publishing fails on the agent.
Property files on distributed agents will not be updated, instead the agent profile properties files in the media folder on central will be updated. To make the new properties appear on the agent you need to do a remote upgrade on the agent with a new agent profile containing the updated files.
Minimal request:
curl -u user:password -i -X POST -H 'content-type:application/json' -d
'{"id":"application1","displayMessages":[{"name":"Application1","description":"The new cool application"}]}'
http://orchestra-host:orchestra-port/qsystem/rest/config/applications
Request with complete object:
curl -u user:password -i -X POST -H 'content-type:application/json' -d
'{"id":"application1","path":"application1","enabled":"true","branchApp":"false","distributed":"false",
"viewIndex":100, "displayMessages":[{"name":"Application1","description":"The new cool application"},
{"locale":"sv","name":"Applikation 1","description":"Den nya coola applikationen"}]}'
http://orchestra-host:orchestra-port/qsystem/rest/config/applications
-
It is assumed that the icon for the application can be found at /images/application.png in the application package.
-
If no path is given, it will be set to the application id.
-
The path must be a valid URI and it may not contain any request parameters.
-
If no view index is given it will be set to the current highest view index plus 5.
-
If not set, branchApp and distributed will default to false.
-
If not set, enabled will default to true.
-
Locale must conform to the IETF BCP 47 standard, only the language part of the standard is supported.
-
If locale is not set for a display message, the default locale file will be updated.
-
There may only be one display message per locale in the display messages.
Request
Responses
- 201
Success